{
  cooldown: 0.0,
  areas: [
    {
      name: "ANYWHERE",
      rect: { x: 0, y: 0, w: 100, h: 100 },
      model: "*FILLAREA*",
      activeAreaColor: "REF: clr_menuBKG",
      isEnterable: 1
    },
    {
      name: "BKGROUND",
      rect: { x: 5, y: 20, w: 90, h: 50 },
      areaColor: "0x2c2c2cff",
      isEnterable: 0
    },
    {
      name: "TITLE",
      rect: { x: 10, y: 5, w: 80, h: 10 },
      areaColor: "",
      activeAreaColor: "",
      model: "VIDEO OPTIONS",
      material: "REF: mat_menuTitle",
      isEnterable: 0
    },
    {
      name: "RESOLUTION",
      rect: { x: 20, y: 35, w: 60, h: 10 },
      activeAreaColor: "REF: clr_menuATV",
      areaColor: "REF: clr_menuCLR",
      model: "RESOLUTION [RESOLUTION]",
      material: "REF: mat_menuOpt4",
      isEnterable: 1
    },
    {
      name: "FULLSCREEN",
      rect: { x: 20, y: 48, w: 60, h: 10 },
      activeAreaColor: "REF: clr_menuATV",
      areaColor: "REF: clr_menuCLR",
      model: "FULLSCREEN",
      material: "REF: mat_menuOpt4",
      isEnterable: 1
    },
    {
      name: "BACK",
      rect: { x: 30, y: 77, w: 40, h: 10 },
      activeAreaColor: "REF: clr_menuATV",
      areaColor: "REF: clr_menuCLR",
      model: "BACK",
      material: "REF: mat_menuOpt5",
      isEnterable: 1
    },

    {
      name: "RES_DEC",
      rect: { x: 8, y: 36, w: 8, h: 8 },
      activeAreaColor: "REF: clr_menuATV",
      areaColor: "REF: clr_menuCLR",
      model: "-",
      material: "REF: mat_menuOpt5",
      isEnterable: 1
    },
    {
      name: "RES_INC",
      rect: { x: 84, y: 36, w: 8, h: 8 },
      activeAreaColor: "REF: clr_menuATV",
      areaColor: "REF: clr_menuCLR",
      model: "+",
      material: "REF: mat_menuOpt5",
      isEnterable: 1
    },
    {
      name: "TOGGLE_FULL",
      rect: { x: 84, y: 49, w: 8, h: 8 },
      activeAreaColor: "REF: clr_menuATV",
      areaColor: "REF: clr_menuCLR",
      model: "[FULLSCREEN]",
      material: "REF: mat_menuOpt5",
      isEnterable: 1
    },

  ],
  switches: [
    {
      areas: [ "*ALL*" ],
      triggersRef: "menu_escape",
      delays: { },
      actions: { press:    [ { id: "LOGIC_RETURN", info: "BACK" } ] }
    },
    // Press anything when not on menu then move to menu top
    {
      areas: [ "ANYWHERE" ],
      triggersRef: "menu_pressAny",
      delays: { },
      actions: { press:       [ { id: "GOTO_AREA", info: "RESOLUTION" } ] }
    },
    // Press select then logic returns the area name
    {
      areas: [ "BACK" ],
      triggersRef: "menu_pressSelect",
      delays: { },
      actions: { press:       [ { id: "LOGIC_RETURN", info: "[AREA_NAME]" } ] }
    },

    // Press up then move menu up
    {
      areas: [ "RESOLUTION", "FULLSCREEN", "BACK" ],
      triggersRef: "menu_pressUP",
      delays: { },
      actions: { press:       [ { id: "GOTO_AREA", info: "[PREV_AREA]" } ] }
    },

    // Press down then move menu down
    {
      areas: [ "RESOLUTION", "FULLSCREEN", "BACK" ],
      triggersRef: "menu_pressDN",
      delays: { },
      actions: { press:       [ { id: "GOTO_AREA", info: "[NEXT_AREA]" } ] }
    },

    // Left DEC res
    {
      areas: [ "RESOLUTION" ],
      triggersRef: "menu_pressLF",
      delays: { },
      actions: { press:       [ { id: "RES_DEC" } ] }
    },

    // Right INC res
    {
      areas: [ "RESOLUTION" ],
      triggersRef: "menu_pressRT",
      delays: { },
      actions: { press:       [ { id: "RES_INC" } ] }
    },

    // Left/Right/Action Toggle
    {
      areas: [ "FULLSCREEN", "TOGGLE_FULL" ],
      triggers: [
       { triggerType: EXTERNAL,  key:         "A" },
       { triggerType: EXTERNAL,  key:         "D" },
       { triggerType: EXTERNAL,  jpadFlag:    RT },
       { triggerType: EXTERNAL,  jpadFlag:    LF },
       { triggerType: EXTERNAL,  jpadFlag:    DPAD_RT },
       { triggerType: EXTERNAL,  jpadFlag:    DPAD_LF },
       { triggerType: EXTERNAL,  key:         "P" },
       { triggerType: KEY,       key:         "KEY_RETURN" },
       { triggerType: KEY,       key:         "KEY_SPACE" },
       { triggerType: EXTERNAL,  mouseButton: LMB },
       { triggerType: EXTERNAL,  jpadFlag:    B1 }
      ],
      delays: { },
      actions: { press:       [ { id: "TOGGLE_FULL" } ] }
    },


    // DEC buttons
    {
      areas: [ "RES_DEC" ],
      triggersRef: "menu_pressSelect",
      delays: { },
      actions: { press:       [ { id: "RES_DEC" } ] }
    },
    // INC buttons
    {
      areas: [ "RES_INC" ],
      triggersRef: "menu_pressSelect",
      delays: { },
      actions: { press:       [ { id: "RES_INC" } ] }
    },

  ]
}
